Subject: Re: Extending virtio_console to support multiple ports

From: Alan Cox <[email-masked]>
Date: Thu, 27 Aug 2009 10:08:09 +0100

>  - Then, are we certain that there's no case where the tty layer will
> call us with some lock held or in an atomic context ? To be honest,
> I've totally lost track of the locking rules in tty land lately so it
> might well be ok, but something to verify.

Some of the less well behaved line disciplines do this and always have
done.

Alan